package com.example.intentapp04;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

/**
 * Created by itlabo on 2015/10/05.
 */
public class NextActivity extends Activity implements OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_next);

        Button button = (Button)findViewById(R.id.button2);
        button.setOnClickListener(this);

        Intent intent = getIntent();
        Bundle bundle = intent.getExtras();
        CharSequence receiveStr = bundle.getCharSequence("SEND_DATA");

        TextView text = (TextView)findViewById(R.id.textView2);
        text.setText(receiveStr + "を受信しました。");
    }

    @Override
    public void onClick(View view) {
        Intent intent = new Intent(this, MainActivity.class);
        startActivity(intent);

        finish();
    }
}
