﻿package com.example.intentapp05;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.TextView;

/**
 * Created by itlabo on 2015/10/05.
 */
public class NextActivity extends Activity implements OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_next);

        Button button = (Button)findViewById(R.id.button2);
        button.setOnClickListener(this);

        Intent intent = getIntent();
        PersonalData data = (PersonalData)intent.getSerializableExtra("PERSONAL_DATA");

        String str = "";
        str += "名前：" + data.getName() + "\n";
        str += "年齢：" + data.getAge() + "\n";

        TextView text = (TextView)findViewById(R.id.textView5);
        text.setText(str);
    }

    @Override
    public void onClick(View view) {
        Intent intent = new Intent(this, MainActivity.class);
	startActivity(intent);

        finish();
    }
}
